/*
 * This file is subject to the terms of the GFX License. If a copy of
 * the license was not distributed with this file, you can obtain one at:
 *
 *              http://ugfx.io/license.html
 */

#ifndef _GDISP_LLD_TOGGLE_BOARD_H
#define _GDISP_LLD_TOGGLE_BOARD_H

#define GINPUT_TOGGLE_NUM_PORTS       3  // The total number of toggle inputs
#define GINPUT_TOGGLE_CONFIG_ENTRIES  2  // The total number of GToggleConfig entries

#define GINPUT_TOGGLE_SW1      0  // Switch 1
#define GINPUT_TOGGLE_SW2      1  // Switch 2
#define GINPUT_TOGGLE_WK_UP    2  // Wake UP

#define GINPUT_TOGGLE_DECLARE_STRUCTURE() \
  const GToggleConfig GInputToggleConfigTable[GINPUT_TOGGLE_CONFIG_ENTRIES] = { \
    {KEY0_PORT, /* Switch 1 - Switch 2 */ \
      (1<<KEY0) | (1<<KEY1), \
      (1<<KEY0) | (1<<KEY1), \
      PAL_MODE_INPUT}, \
    {WAKE_UP_PORT, /* Switch 3 */ \
      (1<<WAKE_UP), \
      (1<<WAKE_UP), \
      PAL_MODE_INPUT}, \
  }

#endif /* _GDISP_LLD_TOGGLE_BOARD_H */
